#
# spec file for package QtDMM (Version 0.8.12)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           QtDMM
BuildRequires:  libdrm-devel libjpeg-devel qt3-devel update-desktop-files
Summary:        DMM Readout Software Including a Configurable Recorder
Version:        0.8.12
Release:        lp150.38.2
License:        GPL v2 or later
Url:            http://mtoussaint.de/qtdmm.html
Group:          System/GUI/Other
Source:         %{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
QtDMM is a DMM readout software including a configurable recorder. The
recorder features manual start, scheduled start (at a given time), and
triggered automatic start when given thresholds are reached.
Additionally, you can start an external application when given
thresholds are reached.

Although initially written for Metex (and compatible, like VOLTCRAFT)
multimeter, which use a 14-byte protocol, several more protocols have
been added. For more information about the currently supported DMMs,
refer to the preset table.



Authors:
--------
    Matthias Toussaint
    Dr. Ralf Wieland (PeakTech-451)
    Michael Petruzelka (Voltcraft M-4660)
    Hubert Mayer (PeakTech-4390, Metex M3850M)

%prep
%setup

%build
export QTDIR=/usr/lib/qt3
export PATH=$PATH:$QTDIR/bin
./configure
make

%install
make DESTDIR=$RPM_BUILD_ROOT install
install -d $RPM_BUILD_ROOT%_bindir
install bin/qtdmm $RPM_BUILD_ROOT%_bindir/qtdmm
install -d $RPM_BUILD_ROOT%_docdir/%{name}
install README $RPM_BUILD_ROOT%_docdir/%{name}/README

%clean

%files
%defattr(-,root,root)
%_bindir/qtdmm
%_docdir/%{name}

%changelog
* Fri Jul 18 2008 hmacht@suse.de
- remove QtDMM-vc940.patch and QtDMM-fix-includes.patch
- update to 0.8.12:
  Version 0.8.12
  - Added PeakTech 4015A (Jochen Puchalla)
  - Added Tenma 72-7745 (Laurent Perez)
  - Bugfix McVoice M-980T (Erik Hobel)
  - Added Digitech QM1462 (Peter Halasz)
  - Added Digitek INO2513
  - Added Raio Shack 22-812 (Bruce Lilly)
  - Corrected typo in dmmgraph (Erik Hobel)
  Version 0.8.11
  - Mac OS X port
  Version 0.8.10
  - Added Sinometer MAS-343
  - Adedd PeakTech 3330
  - Bugfix in VC820 protocoll
  - Added Voltrcaft VC940
  - Added Digitech QM1537
  - Added Uni-Trend UT30A and UT30E
  - Added Digitek DT-9062
  - Confirmation Voltcraft M-3860
  - Added PeakTech 4360
  Version 0.8.9
  - Added Voltcraft M-3610D
  - Added Iso-Tech IDM 73
* Tue Oct 23 2007 hmacht@suse.de
- add QtDMM-fix-includes.patch to fix errors due to gcc4.3
* Mon Jul  2 2007 ckornacker@suse.de
- added VC940 support
* Fri Mar 30 2007 trenn@suse.de
- updated to version 0.8.8
  changelog copied from the project site:
- gcc 4.1 compatibility
- Added Digitech QM1538, MASTECH MAS-345, M-345pro, Voltcraft M-4650CR
- Context menu for graph
- Improved import
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Jan 13 2006 hmacht@suse.de
- update to version 0.8.7
- fix extra qualification in header file
* Mon Oct 17 2005 hmacht@suse.de
- created new package
